Bug 118777 - (NET 3C90X)PROBLEMS WITH 3COM 3C905 100BASETX DRIVER AND LINKSYS ROUTER
(NET 3C90X)PROBLEMS WITH 3COM 3C905 100BASETX DRIVER AND LINKSYS ROUTER
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-19 20:36 EST by brian henson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:12:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description brian henson 2004-03-19 20:36:29 EST
Description of problem:fedora core 1 refused to get an ip address 
from my linksys router even though windows boxes will get one no 
problem with router and its a cable i just got done using


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Graham 2004-05-25 18:56:36 EDT
This looks somewhat similar to the problems I ran into while trying
out Fedora Core 2 (Final) this past weekend. My test box has a 3Com
3C900B-TPO (10Mbps PCI) card. My DHCP server is a Debian Stable box
running ISC DHCP server 3.0 series:

http://packages.debian.org/stable/net/dhcp3-server

The message I see during boot says that DHCP failed due to a lack of
cable link. Not true -- as soon as I assign a static IP, the interface
comes up just fine. I don't know what DHCP client I'm using on FC2;
it's whatever is installed by default. I do know that I've previously
run Debian Unstable with ISC DHCP client v3 and Linux 2.6.5, and
various versions of Windoze on this box with no trouble.
Comment 2 brian henson 2004-06-10 22:17:01 EDT
The same problem happens in the Fedora Core 2 Final iso's on the site 
Comment 3 Michael Redinger 2004-07-01 05:25:41 EDT
There is a fix from Alan - see:
http://www.ussg.iu.edu/hypermail/linux/kernel/0406.2/0211.html
Comment 4 Michael Redinger 2004-08-26 04:57:06 EDT
Does removing the HWADDR line in /etc/sysconfig/network-scripts/
ifcfg-eth0 help?
Comment 5 David Lawrence 2004-09-29 16:12:43 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/
Comment 6 Michael Redinger 2004-09-30 03:10:21 EDT
As mentioned before - the problem still exists in FC2 (but I cannot 
change the bugzilla version of this bug to fc2).

Note You need to log in before you can comment on or make changes to this bug.